//---------------------------------------------------------------------------

#ifndef PayMentFormUnitH
#define PayMentFormUnitH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include "GeneralDialogPanel.h"
#include <Vcl.ExtCtrls.hpp>
#include "TextButton.h"
#include "PayMentPanelUnit.h"
//---------------------------------------------------------------------------
class TPayMentForm : public TForm
{
__published:	// IDE-managed Components
	TGeneralDialogPanel *m_pGeneralDialogPanel;
	TTextButton *m_pTextButtonOK;
	TTextButton *m_pTextButtonCancel;
	TLabel *m_pLabelBlance;
	TLabel *m_lblRecharge;
	TLabel *m_lblVIP;
	void __fastcall FormShow(TObject *Sender);
	void __fastcall RechargeClick(TObject *Sender);
	void __fastcall RechargeMouseEnter(TObject *Sender);
	void __fastcall RechargeMouseLeave(TObject *Sender);
	void __fastcall VIPMouseEnter(TObject *Sender);
	void __fastcall VIPMouseLeave(TObject *Sender);
	void __fastcall VIPClick(TObject *Sender);
	void __fastcall FormCreate(TObject *Sender);
private:	// User declarations
	TPayMentPanel *m_pPayMentPanel;
	int m_nUnPayment;
public:		// User declarations
	__fastcall TPayMentForm(TComponent* Owner, int iOperation=0, int nIdCount=0,
										UINT *aIdStyle=NULL, int *aStyleCost=NULL,
										int nCost=0, int nBalance=0);
	__fastcall ~TPayMentForm();
};
//---------------------------------------------------------------------------
extern PACKAGE TPayMentForm *PayMentForm;
//---------------------------------------------------------------------------
#endif
